apiVersion: v1
kind: Namespace
metadata:
  name: default
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: analytics-dep
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: analytics
  template:
    metadata:
      namespace: default
      labels:
        app: analytics
    spec:
      containers:
        - name: test-kube-3
          image: registry.gitlab.com/dataeng/internships/tsmgmt/analytics:v2
          imagePullPolicy: Always
      dnsPolicy: ClusterFirst
      imagePullSecrets:
        - name: regcred

